Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2022-12-27 15:08:38 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2022-12-27 15:08:38 +0300
commit79b3bd3f6652f114f14afff08f6ed9e9018aa782 (patch)
tree5343223e4208b70d09a5e37d71f8ad22b06430f9 /scripts
parent2bb72884637ef34e28ad46b16ff3b3820bc26bfc (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/glfm/run-spec-tests.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/glfm/run-spec-tests.sh b/scripts/glfm/run-spec-tests.sh
new file mode 100755
index 00000000000..33a5c97ff22
--- /dev/null
+++ b/scripts/glfm/run-spec-tests.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+# shellcheck disable=SC2059
+
+set -o errexit # AKA -e - exit immediately on errors (http://mywiki.wooledge.org/BashFAQ/105)
+
+# https://stackoverflow.com/a/28938235
+BCyan='\033[1;36m' # Bold Cyan
+BRed='\033[1;31m' # Bold Red
+Color_Off='\033[0m' # Text Reset
+
+function onexit_err() {
+ local exit_status=${1:-$?}
+ printf "\n❌❌❌ ${BRed}GLFM snapshot tests failed!${Color_Off} ❌❌❌\n"
+ exit "${exit_status}"
+}
+trap onexit_err ERR
+set -o errexit
+
+printf "${BCyan}"
+printf "\nThis script is not yet implemented!\n"
+printf "\nSee https://docs.gitlab.com/ee/development/gitlab_flavored_markdown/specification_guide/#run-spec-testssh-script for more details.\n\n"
+printf "${Color_Off}"